Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.selector
Class ProfileSelector

    java.lang.Object
      java.lang.Thread
          rice.selector.SelectorManager
              rice.selector.ProfileSelector

All Implemented Interfaces:
  Destructable, java.lang.Runnable, Timer

public class ProfileSelector
extends SelectorManager

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Field Summary
`java.lang.String` | `lastTaskClass` DESCRIBE THE FIELD
`long` | `lastTaskHash` DESCRIBE THE FIELD
`java.lang.String` | `lastTaskToString` DESCRIBE THE FIELD
`java.lang.String` | `lastTaskType` DESCRIBE THE FIELD
`static boolean` | `recordStats` DESCRIBE THE FIELD
`static boolean` | `useHeartbeat` DESCRIBE THE FIELD

Fields inherited from class rice.selector.SelectorManager
`cancelledKeys, instance, invocations, logger, modifyKeys, running, selector, TIMEOUT, timerQueue, timeSource, wakeupTime`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ProfileSelector(java.lang.String instance, TimeSource timeSource, LogManager log)`

Method Summary
`void` | `addStat(java.lang.String s, long time)` Adds a feature to the Stat attribute of the ProfileSelector object
`protected void` | `doInvocations()` Method which invokes all pending invocations.
`protected void` | `doInvocations2()` DESCRIBE THE METHOD
`protected void` | `doSelections()` DESCRIBE THE METHOD
`void` | `invoke(java.lang.Runnable d)` DESCRIBE THE METHOD
`protected void` | `onLoop()` DESCRIBE THE METHOD
`void` | `printStats()` DESCRIBE THE METHOD

Methods inherited from class rice.selector.SelectorManager
`addLoopObserver, cancel, destroy, executeDueTasks, getInvocation, getKey, getModifyKey, getNumInvocations, getSelector, getTimer, isSelectorThread, modifyKey, notifyLoopListeners, register, removeLoopObserver, run, schedule, schedule, scheduleAtFixedRate, selectedKeys`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lastTaskType

    public java.lang.String lastTaskType

  DESCRIBE THE FIELD

### lastTaskClass

    public java.lang.String lastTaskClass

  DESCRIBE THE FIELD

### lastTaskToString

    public java.lang.String lastTaskToString

  DESCRIBE THE FIELD

### lastTaskHash

    public long lastTaskHash

  DESCRIBE THE FIELD

### useHeartbeat

    public static boolean useHeartbeat

  DESCRIBE THE FIELD

### recordStats

    public static boolean recordStats

  DESCRIBE THE FIELD

Constructor Detail

### ProfileSelector

    public ProfileSelector(java.lang.String instance,
                           TimeSource timeSource,
                           LogManager log)

Parameters:
  `instance` - DESCRIBE THE PARAMETER
  `timeSource` - DESCRIBE THE PARAMETER
  `log` - DESCRIBE THE PARAMETER

Method Detail

### onLoop

    protected void onLoop()

  DESCRIBE THE METHOD

  Overrides:
    `onLoop` in class `SelectorManager`

### invoke

    public void invoke(java.lang.Runnable d)

  DESCRIBE THE METHOD

  Overrides:
    `invoke` in class `SelectorManager`
  Parameters:
    `d` - DESCRIBE THE PARAMETER

### addStat

    public void addStat(java.lang.String s,
                        long time)

  Adds a feature to the Stat attribute of the ProfileSelector object

  Parameters:
    `s` - The feature to be added to the Stat attribute
    `time` - The feature to be added to the Stat attribute

### printStats

    public void printStats()

  DESCRIBE THE METHOD

### doSelections

    protected void doSelections()
                         throws java.io.IOException

  DESCRIBE THE METHOD

  Overrides:
    `doSelections` in class `SelectorManager`
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### doInvocations

    protected void doInvocations()

  Method which invokes all pending invocations. This method should *only* be called by the selector thread.

  Overrides:
    `doInvocations` in class `SelectorManager`

### doInvocations2

    protected void doInvocations2()

  DESCRIBE THE METHOD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.